# DCA Statistics

`GET` `/v1/dailycoins/statistic`

:::warning Longbridge HK / SG accounts only
This method is available to Longbridge HK / SG accounts only. It works with any supported symbol, including US stocks.
:::

Get DCA statistics summary including total invested amount and profit/loss.

## Parameters

### Query Parameters

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `symbol` | string | No | Filter statistics by security symbol. |

## Request Example

```bash
curl --request GET \
  --url 'https://openapi.longbridge.com/v1/dailycoins/statistic' \
  --header 'Authorization: Bearer <access_token>'
```

## Response

### Response Properties

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `active_count` | string | No | Number of active plans |
| `finished_count` | string | No | Number of finished plans |
| `suspended_count` | string | No | Number of suspended plans |
| `rest_days` | string | No | Days until next investment |
| `total_amount` | string | No | Total invested amount |
| `total_profit` | string | No | Total profit/loss |
| `nearest_plans` | object[] | No | Nearest upcoming DCA plans (same structure as DcaPlan) |

### Response JSON Example

```json
{
  "code": 0,
  "message": "success",
  "data": {
    "active_count": "2",
    "finished_count": "1",
    "suspended_count": "0",
    "rest_days": "3",
    "total_amount": "5400",
    "total_profit": "120.50",
    "nearest_plans": [
      {
        "plan_id": "1239402174908207104",
        "symbol": "AAPL.US",
        "stock_name": "Apple Inc.",
        "market": "US",
        "status": "Active",
        "per_invest_amount": "100",
        "invest_frequency": "Monthly",
        "invest_day_of_month": "15",
        "next_trd_date": "1778853600",
        "cum_amount": "0",
        "cum_profit": "0"
      }
    ]
  }
}
```
